## GnomeDbLoginDialog

GnomeDbLoginDialog — Login dialog widget

## Synopsis

                        GnomeDbLoginDialog;
                        GnomeDbLoginDialogClass;
                        GnomeDbLoginDialogPrivate;
    GtkWidget*          gnome_db_login_dialog_new           (const gchar *title);
    gboolean            gnome_db_login_dialog_run           (GnomeDbLoginDialog *dialog);
    const gchar*        gnome_db_login_dialog_get_dsn       (GnomeDbLoginDialog *dialog);
    const gchar*        gnome_db_login_dialog_get_username  (GnomeDbLoginDialog *dialog);
    const gchar*        gnome_db_login_dialog_get_password  (GnomeDbLoginDialog *dialog);
    GnomeDbLogin*       gnome_db_login_dialog_get_login_widget
                                                            (GnomeDbLoginDialog *dialog);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GnomeDbLoginDialog

## Implemented Interfaces

GnomeDbLoginDialog implements AtkImplementorIface.

## Properties

      "dsn"                      gchararray            : Read
      "password"                 gchararray            : Read
      "username"                 gchararray            : Read

## Description

## Details

### GnomeDbLoginDialog

    typedef struct _GnomeDbLoginDialog GnomeDbLoginDialog;

### GnomeDbLoginDialogClass

    typedef struct {
    	GtkDialogClass parent_class;
    } GnomeDbLoginDialogClass;

### GnomeDbLoginDialogPrivate

    typedef struct _GnomeDbLoginDialogPrivate GnomeDbLoginDialogPrivate;

### gnome_db_login_dialog_new ()

    GtkWidget*          gnome_db_login_dialog_new           (const gchar *title);

`title` : |
Returns : |

### gnome_db_login_dialog_run ()

    gboolean            gnome_db_login_dialog_run           (GnomeDbLoginDialog *dialog);

Shows the login dialog and waits for the user to enter its username and password and perform an action on the dialog.

`dialog` : |
Returns : | TRUE if the user wants to connect

### gnome_db_login_dialog_get_dsn ()

    const gchar*        gnome_db_login_dialog_get_dsn       (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_username ()

    const gchar*        gnome_db_login_dialog_get_username  (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_password ()

    const gchar*        gnome_db_login_dialog_get_password  (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_login_widget ()

    GnomeDbLogin*       gnome_db_login_dialog_get_login_widget
                                                            (GnomeDbLoginDialog *dialog);

Get the GnomeDbLogin widget contained in a GnomeDbLoginDialog.

`dialog` : | A GnomeDbLoginDialog widget.
Returns : | the login widget contained in the dialog.

## Property Details

### The "`dsn`" property

      "dsn"                      gchararray            : Read

Default value: NULL

### The "`password`" property

      "password"                 gchararray            : Read

Default value: NULL

### The "`username`" property

      "username"                 gchararray            : Read

Default value: NULL